Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 20 Sep 2014, 12:16
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
VLC 1.0.0rc4 Media player .pet for Puppy
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 9 [126 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9 Next
Author Message
mikeb


Joined: 23 Nov 2006
Posts: 8252

PostPosted: Mon 22 Jun 2009, 19:42    Post subject:  

Quote:
sikpuppy well I finally am able to view a dvd Smile it was missing the libcddb.so.2
well thats odd in itself..thats the cd database library.
I have previously used the dvdnav and read libs (other vlc) in a standard puppy 2.12.
I did have to type in /dev/hdd (or whatever) as /dev/dvd seems unrecognised even though it's set up with this vlc version

Daft questions..have you been using your vlc 0.8.6h on 2.14r...to play dvd
and do you delete the config before testing as there is a plugin cache?

Quote:
[0x8341270] main input error: ES_OUT_RESET_PCR called

sounds dodgy.

mike

ps a vlc 0.8.6c package I made and gave to someone refused to play dvd for him for ages.....dejavu
Back to top
View user's profile Send private message 
ttuuxxx


Joined: 05 May 2007
Posts: 10753
Location: Ontario Canada,Sydney Australia

PostPosted: Mon 22 Jun 2009, 20:18    Post subject:  

mikeb wrote:
Quote:
sikpuppy well I finally am able to view a dvd Smile it was missing the .so.2
well thats odd in itself..thats the cd database library.
I have previously used the dvdnav and read libs (other vlc) in a standard puppy 2.12.
I did have to type in /dev/hdd (or whatever) as /dev/dvd seems unrecognised even though it's set up with this vlc version

Daft questions..have you been using your vlc 0.8.6h on 2.14r...to play dvd
and do you delete the config before testing as there is a plugin cache?

Quote:
[0x8341270] main input error: ES_OUT_RESET_PCR called

sounds dodgy.

mike

ps a vlc 0.8.6c package I made and gave to someone refused to play dvd for him for ages.....dejavu


No mike I haven't even tried the 0.8.6h on 2.14.1X, Been too busy fixing this release to watch movies, lol just testing this version out.
butttttttttt I just compiled libcddb.so.2.2.3 and installed it, looks like the dvd is playing much better now Smile The controls etc are working right.
Report back in a bit
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile
Back to top
View user's profile Send private message Visit poster's website 
ttuuxxx


Joined: 05 May 2007
Posts: 10753
Location: Ontario Canada,Sydney Australia

PostPosted: Mon 22 Jun 2009, 23:06    Post subject:  

ok I tested it, well it plays dvds, a small bit of image slowness, other than that not bad, I also tried 0.8.6h and it needed 3 packages from 4 series and played the dvd perfect on 2.14.1X. Glad for that Smile I would like to see this version play as well as the 0.8.6h did.
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile
Back to top
View user's profile Send private message Visit poster's website 
sikpuppy


Joined: 29 Mar 2009
Posts: 433

PostPosted: Mon 22 Jun 2009, 23:29    Post subject:  

ttuuxxx wrote:
ok I tested it, well it plays dvds, a small bit of image slowness, other than that not bad, I also tried 0.8.6h and it needed 3 packages from 4 series and played the dvd perfect on 2.14.1X. Glad for that Smile I would like to see this version play as well as the 0.8.6h did.
ttuuxxx


Well, part of the problem is the entire UI of VLC has been overhauled (not for the better I think, it was far more responsive with the wXwidgets interface).

This from the VLC wesite:
Quote:

Thanks to the continuous efforts made by the developers and the community, the new version of the award-winning VLC media player, numbered 1.0.0, is approaching the end of development.
The release will very likely happen next week.


Earlier today it said "The release will be early THIS week..." Grr. Oh well, I will use what I have learnt with the other 2 releases to make the next one a pearler Razz

_________________
ASUS A1000, 800Mhz PIII Coppermine!, 192Mb RAM, 10Gb IBM Travelstar HDD, Build date August 2001.
Back to top
View user's profile Send private message MSN Messenger 
ttuuxxx


Joined: 05 May 2007
Posts: 10753
Location: Ontario Canada,Sydney Australia

PostPosted: Tue 23 Jun 2009, 00:08    Post subject:  

sikpuppy wrote:
ttuuxxx wrote:
ok I tested it, well it plays dvds, a small bit of image slowness, other than that not bad, I also tried 0.8.6h and it needed 3 packages from 4 series and played the dvd perfect on 2.14.1X. Glad for that Smile I would like to see this version play as well as the 0.8.6h did.
ttuuxxx


Well, part of the problem is the entire UI of VLC has been overhauled (not for the better I think, it was far more responsive with the wXwidgets interface).

This from the VLC wesite:
Quote:

Thanks to the continuous efforts made by the developers and the community, the new version of the award-winning VLC media player, numbered 1.0.0, is approaching the end of development.
The release will very likely happen next week.


Earlier today it said "The release will be early THIS week..." Grr. Oh well, I will use what I have learnt with the other 2 releases to make the next one a pearler Razz


Yeah I never like qt much on puppy, the fonts always look strange and its never as responsive as gtk, wx, fox etc I wish they would bring back the gtk, vlc frontend, it ended in early days of vlc.
When I compiled the failed early 9 series of vlc you still could compile the wxgtk front end, it wasn't in the list when you did --configure --help,
try next time but you'll have to have the wxgtk installed of course Smile
--enable-wx --disable-qt4 --enable-gtk

ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile
Back to top
View user's profile Send private message Visit poster's website 
sikpuppy


Joined: 29 Mar 2009
Posts: 433

PostPosted: Tue 23 Jun 2009, 06:56    Post subject:  

It's not possible to use wxwidgets anymore. One of the reasons the bootstrap script fails is because they have totally removed the URL from one of the configure files for wxwidgets.

I already have wxwidgets, and I tried a few days ago to get the ./configure script to use it. I am afraid QT it is. Which also means that the window decorations look crappy (a big X and chunky terminal emulator style surrounds).

_________________
ASUS A1000, 800Mhz PIII Coppermine!, 192Mb RAM, 10Gb IBM Travelstar HDD, Build date August 2001.
Back to top
View user's profile Send private message MSN Messenger 
mikeb


Joined: 23 Nov 2006
Posts: 8252

PostPosted: Tue 23 Jun 2009, 12:01    Post subject:  

Well glad dvd are literally playing for you ttuuxxx.

As for interfaces either default interface to me is clumsy in appearance and code ...I use the skins all the time. ....good job is a great player Smile

mike
Back to top
View user's profile Send private message 
vovchik


Joined: 23 Oct 2006
Posts: 1285
Location: Ukraine

PostPosted: Tue 23 Jun 2009, 13:50    Post subject:  

Dear all,

Guys, please don't be so harsh on QT4 before setting it up properly. A properly compiled set of QT4 libs contains a GTK style plugin and the qtconfig app. These two binaries enables your QT apps to look just like your GTK ones, including font settings, buttons and all other widgets. I placed two versions of that plug-in on the forum some time ago (for QT 4.3x and 4.4x), along with qtconfig. Sorry, I can't remember in what context. Given the number of QT4 apps out there, and the size of the library, I think you get more bang for the buck from shared QT than with wx widgets, which are very lib-version specific and the cause of much grief on my part.

With kind regards,
vovchik

PS. I've included a pic of VLC running under qt4 on my little netbook. The fonts are perfect and are the same ones that I use for GTK. I used the 9x VLC (38MB) that I downloaded here, but threw out the QT stuff in /usr/lib, since I have a later version installed that has support for styled widgets.
qt4snapshot.jpg
 Description   
 Filesize   44.86 KB
 Viewed   1553 Time(s)

qt4snapshot.jpg

Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 8252

PostPosted: Tue 23 Jun 2009, 15:17    Post subject:  

Well I like qt..its consistant, reliable and looks good to me...why else does kde look smart. Its the use of large gui libraries by vlc thats the moan...but your config info sounds generally useful. Indeed kde comes with lots of customisation options in the control panel .
mike
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 8252

PostPosted: Tue 23 Jun 2009, 18:19    Post subject:  

ok upset time...

tested V6 in puppy 4.1.2 ..moans about sdl-image and libproxy but main problem is segmentation fault playing avi (xvid/divx) dvd works.

tested 1.0.0 from first post...needs glibc 2.8 so non starter.

retested V3 and original...ok ..installed over the top just to make sure.

back to my grubby corner

mike
Back to top
View user's profile Send private message 
sikpuppy


Joined: 29 Mar 2009
Posts: 433

PostPosted: Wed 24 Jun 2009, 05:29    Post subject:  

try running VLC from the command line:
Code:
vlc --prefer-system-codecs

This will find out if the inbuilt codec is to blame, or if it's something else. It will force vlc to use ffmpeg from an external library.

_________________
ASUS A1000, 800Mhz PIII Coppermine!, 192Mb RAM, 10Gb IBM Travelstar HDD, Build date August 2001.
Back to top
View user's profile Send private message MSN Messenger 
mikeb


Joined: 23 Nov 2006
Posts: 8252

PostPosted: Wed 24 Jun 2009, 10:17    Post subject:  

Ok will do...and will install bit by bit as a separate test

mike
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 8252

PostPosted: Wed 24 Jun 2009, 18:07    Post subject:  

Ok results

1.0.0. obviously no test as its libvlc needing glibc 2.8.

V6 no difference...the related codecs are being used from the 4.12 core anyway as they are not in the pet..ps the qt4 libs in opt are not needed.

One feature of vlc 0.9.x if i remember is rtsp support but none of the packages I tried seemed to have this..I may have misunderstood that one.

So most functional version remains V3 .
Main missing feature was mp4a.
Are you testing on 4.20?
dbus needs specifically disabling in the config options it seems .

regards

mike
Back to top
View user's profile Send private message 
sikpuppy


Joined: 29 Mar 2009
Posts: 433

PostPosted: Fri 26 Jun 2009, 07:36    Post subject:  

Nope, I am testing on a 412 frugal.

Sorry it took so long to reply, what I may do is re-compile when the 1.0.0 final comes out next week.Razz

_________________
ASUS A1000, 800Mhz PIII Coppermine!, 192Mb RAM, 10Gb IBM Travelstar HDD, Build date August 2001.
Back to top
View user's profile Send private message MSN Messenger 
mikeb


Joined: 23 Nov 2006
Posts: 8252

PostPosted: Fri 26 Jun 2009, 17:52    Post subject:  

Quote:
what I may do is re-compile when the 1.0.0 final comes out next week.


sounds like a good plan..give yourself a break from it.

If i make any discoveries in the meantime I'll let you know

regards

mike
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 9 [126 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0892s ][ Queries: 12 (0.0058s) ][ GZIP on ]